Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/UsernamePasswordDialog.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/UsernamePasswordDialog.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/UsernamePasswordDialog.java	(revision 3940)
@@ -163,16 +163,16 @@
 	/**
 	 * must be called before opening the dialog
 	 * 
-	 * @param user
+	 * @param details 
 	 */
-	public void setDetails(String defails) {
-		this.details = defails;
+	public void setDetails(String details) {
+		this.details = details;
 	}
 	
 	/**
 	 * must be called before opening the dialog
 	 * 
-	 * @param user
+	 * @param title
 	 */
 	public void setTitle(String title) {
 		this.title = title;
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/MultipleValueTreeDialog.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/MultipleValueTreeDialog.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/MultipleValueTreeDialog.java	(revision 3940)
@@ -80,7 +80,6 @@
 	 * @param parentShell the parent shell
 	 * @param title the title
 	 * @param values the values
-	 * @param defaultValue the default value
 	 */
 	public MultipleValueTreeDialog(Shell parentShell, String title, LinkedHashMap<String, String> values, 
 			ArrayList<LinkedHashMap<String, String>> subvalues, String itemSubName) {
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/UpdateCorpusDialog.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/UpdateCorpusDialog.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/UpdateCorpusDialog.java	(revision 3940)
@@ -204,10 +204,6 @@
 		return doForceUpdate;
 	}
 	
-	/**
-	 * 
-	 * @return the update edition button value AFTER this dialog is closed
-	 */
 	public void setDoUpdateEdition(boolean doUpdateEditions) {
 		
 		this.doUpdateEditions = doUpdateEditions;
@@ -222,28 +218,16 @@
 		return this.corpusToUpdate;
 	}
 	
-	/**
-	 * 
-	 * @return the selected corpus to update
-	 */
 	public void setCorpusToUpdate(MainCorpus corpus) {
 		
 		this.corpusToUpdate = corpus;
 	}
-	
-	/**
-	 * 
-	 * @return set the corpora to save
-	 */
+
 	public void setCorporaToUpdate(java.util.List<MainCorpus> corpora) {
 		
 		this.corpora = corpora;
 	}
 	
-	/**
-	 * 
-	 * @return the force update button value AFTER this dialog is closed
-	 */
 	public void setDoForceUpdate(boolean doForceUpdate) {
 		
 		this.doForceUpdate = doForceUpdate;
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/MultipleValueDialog.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/MultipleValueDialog.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/MultipleValueDialog.java	(revision 3940)
@@ -67,7 +67,6 @@
 	 * @param parentShell the parent shell
 	 * @param title the title
 	 * @param values the values
-	 * @param defaultValue the default value
 	 */
 	public MultipleValueDialog(Shell parentShell, String title, LinkedHashMap<String, String> values) {
 		super(parentShell);
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/QueryOptionsDialog.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/QueryOptionsDialog.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/QueryOptionsDialog.java	(revision 3940)
@@ -284,11 +284,6 @@
 		return selectedEngine;
 	}
 
-	/**
-	 * Select value.
-	 *
-	 * @param string the string
-	 */
 	public void selectValue(SearchEngine e) {
 		
 		if (values.contains(e)) {
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/structures/StructuralUnitsComboViewer.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/structures/StructuralUnitsComboViewer.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/structures/StructuralUnitsComboViewer.java	(revision 3940)
@@ -24,7 +24,6 @@
 	/**
 	 * 
 	 * @param parent
-	 * @param style
 	 * @param editor
 	 * @param autoCompute
 	 * @param selectedSU
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/structures/___StructuralUnitsListViewer.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/structures/___StructuralUnitsListViewer.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/structures/___StructuralUnitsListViewer.java	(revision 3940)
@@ -23,7 +23,6 @@
 	/**
 	 * 
 	 * @param parent
-	 * @param style
 	 * @param editor
 	 * @param autoCompute
 	 * @param selectedSU
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/TXMParameterSpinner.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/TXMParameterSpinner.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/TXMParameterSpinner.java	(revision 3940)
@@ -87,7 +87,6 @@
 	 * @param parent
 	 * @param editor
 	 * @param labelText
-	 * @param items
 	 */
 	public TXMParameterSpinner(Composite parent, TXMEditor<?> editor, String labelText) {
 		this(parent, editor, labelText, null, false);
@@ -97,7 +96,6 @@
 	 * 
 	 * @param parent
 	 * @param editor
-	 * @param items
 	 * @param controlTooltip
 	 * @param autoCompute
 	 */
@@ -109,7 +107,6 @@
 	 * 
 	 * @param parent
 	 * @param editor
-	 * @param items
 	 */
 	public TXMParameterSpinner(Composite parent, TXMEditor<?> editor) {
 		this(parent, editor, null, false);
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/NewNavigationWidget.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/NewNavigationWidget.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/NewNavigationWidget.java	(revision 3940)
@@ -363,7 +363,7 @@
 	}
 	
 	/**
-	 * @param maxPosition the maxPosition to set
+	 * @param minPosition the minPosition to set
 	 */
 	public void setMinimum(int minPosition) {
 		this.minPosition = minPosition;
@@ -426,7 +426,7 @@
 	}
 	
 	/**
-	 * @param currentPosition the currentPosition to set
+	 * @param newPosition the currentPosition to set
 	 */
 	public void setCurrentPosition(int newPosition) {
 		if (newPosition < 0) newPosition = 0;
@@ -437,7 +437,6 @@
 	
 	/**
 	 * To be compatible with the swtCombo.getSelection() method
-	 * @return
 	 */
 	public void setSelection(int newPosition) {
 		setCurrentPosition(newPosition);
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersManager.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersManager.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersManager.java	(revision 3940)
@@ -409,7 +409,6 @@
 	/**
 	 * compile and export values to a Properties object
 	 * 
-	 * @return
 	 * @throws IOException
 	 */
 	public void finalToFile(File propFile) throws IOException {
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersDialog2.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersDialog2.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersDialog2.java	(revision 3940)
@@ -63,9 +63,7 @@
 	/**
 	 * 
 	 * @param parentShell
-	 * @param bean
 	 * @param allParameters all the scripts annotations
-	 * @param args pre-filled fields
 	 */
 	public ParametersDialog2(Shell parentShell, List<OptionHandler> allParameters, Map<String, Object> defaultParameters) {
 		super(parentShell);
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/MacroParametersDialog.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/MacroParametersDialog.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/MacroParametersDialog.java	(revision 3940)
@@ -32,8 +32,6 @@
 	 * 
 	 * @param parentShell
 	 * @param bean
-	 * @param allParameters all the scripts annotations
-	 * @param args pre-filled fields
 	 */
 	public MacroParametersDialog(Shell parentShell, Object bean) {
 		super(parentShell);
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersGLComposite.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersGLComposite.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersGLComposite.java	(revision 3940)
@@ -89,7 +89,6 @@
 	/**
 	 * Build the fields depending on the values parameters and default values
 	 * 
-	 * @param parent
 	 */
 	public void buildFields() {
 		
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenBrowser.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenBrowser.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenBrowser.java	(revision 3940)
@@ -138,7 +138,6 @@
 	/**
 	 * Openfile.
 	 *
-	 * @param filepath the filepath
 	 * @return the txm browser
 	 */
 	static public TXMBrowserEditor open() {
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java	(revision 3940)
@@ -299,7 +299,7 @@
 	 * 
 	 * @param replace
 	 *
-	 * @param binCorpusDirectory the basedir
+	 * @param corpusDirectory the corpusDirectory
 	 * @return the base
 	 * @throws Exception the exception
 	 */
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load080BinaryCorpus.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load080BinaryCorpus.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load080BinaryCorpus.java	(revision 3940)
@@ -60,7 +60,7 @@
 	 * 
 	 * @param replace
 	 *
-	 * @param binCorpusDirectory the zipFile
+	 * @param zipFile the zipFile to load
 	 * @return the base
 	 * @throws Exception the exception
 	 */
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenImportForm.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenImportForm.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenImportForm.java	(revision 3940)
@@ -68,7 +68,7 @@
 	/**
 	 * Openfile.
 	 *
-	 * @param filepath the filepath
+	 * @param scriptname the filepath
 	 */
 	public static void open(File scriptname, boolean updateMode) {
 		try {
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/queryview/Paste.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/queryview/Paste.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/queryview/Paste.java	(revision 3940)
@@ -64,7 +64,7 @@
 	/**
 	 * Paste.
 	 *
-	 * @param base the base
+	 * @param corpus the corpus
 	 * @param newquery the newquery
 	 */
 	public static void paste(CQPCorpus corpus, String newquery) {
@@ -75,7 +75,7 @@
 	/**
 	 * Paste.
 	 *
-	 * @param base the base
+	 * @param corpus the corpus
 	 */
 	public static void paste(CQPCorpus corpus) {
 		String newquery = IOClipboard.read();
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenLocalizedWebPage.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenLocalizedWebPage.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenLocalizedWebPage.java	(revision 3940)
@@ -180,7 +180,6 @@
 	/**
 	 * Openfile.
 	 *
-	 * @param filepath the filepath
 	 * @return the txm browser
 	 */
 	static public Object openfile(String key) {
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportCommandDialog.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportCommandDialog.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportCommandDialog.java	(revision 3940)
@@ -50,9 +50,6 @@
 	/**
 	 * 
 	 * @param parentShell
-	 * @param title
-	 * @param question
-	 * @param text
 	 */
 	public ExportCommandDialog(Shell parentShell, TXMResult result) {
 		super(parentShell);
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/EditSelectedFile.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/EditSelectedFile.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/EditSelectedFile.java	(revision 3940)
@@ -97,7 +97,7 @@
 	/**
 	 * Open a file in TXM TxtEditor.
 	 *
-	 * @param filepath the filepath
+	 * @param file the filepath
 	 */
 	static public void openfile(File file) {
 		if (file.isDirectory())
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/EditFile.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/EditFile.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/EditFile.java	(revision 3940)
@@ -85,7 +85,7 @@
 	/**
 	 * Open a file in TXM TxtEditor.
 	 *
-	 * @param filepath the filepath
+	 * @param file the filepath
 	 */
 	static public boolean openfile(File file) {
 		if (file.isDirectory())
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java	(revision 3940)
@@ -150,10 +150,8 @@
 
 	/**
 	 * 
-	 * @param currentRootDir
 	 * @param scriptpath
 	 * @param page current active page, might be null
-	 * @param sel current selection, might be null
 	 * @return 
 	 */
 	public static JobHandler executeScript(String scriptpath, final  IWorkbenchPart page, final ISelection selection, boolean modal, String stringArgs) {
@@ -170,10 +168,8 @@
 
 	/**
 	 * 
-	 * @param currentRootDir
 	 * @param scriptpath
 	 * @param page current active page, might be null
-	 * @param sel current selection, might be null
 	 */
 	public static void executeScript(String scriptpath, final  IWorkbenchPart page, final ISelection selection, String stringArgs) {
 		executeScript(scriptpath, page, selection, false, stringArgs);
@@ -181,10 +177,8 @@
 	
 	/**
 	 * 
-	 * @param currentRootDir
 	 * @param scriptpath
 	 * @param page current active page, might be null
-	 * @param sel current selection, might be null
 	 */
 	public static JobHandler executeScript(String scriptpath, final  IWorkbenchPart page, final ISelection selection) {
 		return executeScript(scriptpath, page, selection, false, null);
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteImportScript.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteImportScript.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteImportScript.java	(revision 3940)
@@ -134,8 +134,6 @@
 	
 	/**
 	 * 
-	 * @param scriptFilePath
-	 * @param params
 	 * @return
 	 */
 	public static JobHandler executeScript(final Project project) {
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/utils/IOClipboard.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/utils/IOClipboard.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/utils/IOClipboard.java	(revision 3940)
@@ -74,9 +74,8 @@
 	}
 	
 	/**
-	 * Read.
+	 * Write file paths.
 	 *
-	 * @return the string
 	 */
 	public static void writeFiles(Object[] files) {
 		Shell sh = new Shell();
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/utils/JobHandler.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/utils/JobHandler.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/utils/JobHandler.java	(revision 3940)
@@ -277,7 +277,6 @@
 	/**
 	 * can be used to store the job result after join() has been called
 	 * 
-	 * @return
 	 */
 	public void setResultObject(Object result) {
 		this.result = result;
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/utils/SWTEditorsUtils.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/utils/SWTEditorsUtils.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/utils/SWTEditorsUtils.java	(revision 3940)
@@ -156,7 +156,6 @@
 	 * Closes all opened editors which use some results of the specified list of results.
 	 * 
 	 * @param results
-	 * @return
 	 */
 	public static void closeEditors(List<TXMResult> results) {
 		Set<ITXMResultEditor<TXMResult>> editors = getEditors(results);
Index: TXM/trunk/bundles/org.txm.backtomedia.rcp/src/org/txm/backtomedia/commands/function/TripleRangeSlider.java
===================================================================
--- TXM/trunk/bundles/org.txm.backtomedia.rcp/src/org/txm/backtomedia/commands/function/TripleRangeSlider.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.backtomedia.rcp/src/org/txm/backtomedia/commands/function/TripleRangeSlider.java	(revision 3940)
@@ -1201,8 +1201,7 @@
 	 * Sets the 'selection', which is the receiver's value, to the argument
 	 * which must be greater than or equal to zero.
 	 *
-	 * @param value the new selection (first value is lower value, second value
-	 *            is upper value)
+	 * @param values the new selection (first value is lower value, second value is upper value)
 	 *
 	 * @exception SWTException
 	 *                <ul>
Index: TXM/trunk/bundles/org.txm.backtomedia.rcp/src/org/txm/backtomedia/editors/input/MediaPlayerEditorInput.java
===================================================================
--- TXM/trunk/bundles/org.txm.backtomedia.rcp/src/org/txm/backtomedia/editors/input/MediaPlayerEditorInput.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.backtomedia.rcp/src/org/txm/backtomedia/editors/input/MediaPlayerEditorInput.java	(revision 3940)
@@ -53,7 +53,6 @@
 	/**
 	 * Instantiates a new Media player editor input.
 	 *
-	 * @param src the source
 	 */
 	public MediaPlayerEditorInput() {
 		super();
Index: TXM/trunk/bundles/org.txm.statsengine.core/src/org/txm/statsengine/core/data/ContingencyTable.java
===================================================================
--- TXM/trunk/bundles/org.txm.statsengine.core/src/org/txm/statsengine/core/data/ContingencyTable.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.statsengine.core/src/org/txm/statsengine/core/data/ContingencyTable.java	(revision 3940)
@@ -42,7 +42,7 @@
 	 * 
 	 * @return the row margin
 	 * 
-	 * @throws RWorkspaceException
+	 * @throws StatException
 	 *             the r workspace exception
 	 */
 	public Vector getRowMarginsVector() throws StatException;
@@ -52,8 +52,7 @@
 	 * 
 	 * @return the col margin
 	 * 
-	 * @throws RWorkspaceException
-	 *             the r workspace exception
+	 * @throws StatException the r workspace exception
 	 */
 	public Vector getColMarginsVector() throws StatException;
 	
@@ -62,8 +61,7 @@
 	 * 
 	 * @return the col margin
 	 * 
-	 * @throws RWorkspaceException
-	 *             the r workspace exception
+	 * @throws Exception the r workspace exception
 	 */
 	public int[] getColMargins() throws Exception;
 	
@@ -72,8 +70,7 @@
 	 * 
 	 * @return the col margin
 	 * 
-	 * @throws RWorkspaceException
-	 *             the r workspace exception
+	 * @throws Exception the r workspace exception
 	 */
 	public int[] getRowMargins() throws Exception;
 
@@ -82,8 +79,7 @@
 	 * 
 	 * @return the total
 	 * 
-	 * @throws RWorkspaceException
-	 *             the r workspace exception
+	 * @throws StatException the r workspace exception
 	 */
 	public int getTotal() throws StatException;
 
Index: TXM/trunk/bundles/org.txm.statsengine.core/src/org/txm/statsengine/core/data/Vector.java
===================================================================
--- TXM/trunk/bundles/org.txm.statsengine.core/src/org/txm/statsengine/core/data/Vector.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.statsengine.core/src/org/txm/statsengine/core/data/Vector.java	(revision 3940)
@@ -146,7 +146,6 @@
 	/**
 	 * Cut after n lines.
 	 *
-	 * @param nlines the nlines
 	 */
 	public void cut(int before, int after);
 	
Index: TXM/trunk/bundles/org.txm.statsengine.core/src/org/txm/statsengine/core/data/Matrix.java
===================================================================
--- TXM/trunk/bundles/org.txm.statsengine.core/src/org/txm/statsengine/core/data/Matrix.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.statsengine.core/src/org/txm/statsengine/core/data/Matrix.java	(revision 3940)
@@ -74,8 +74,6 @@
 	 * Row names are available if the
 	 *
 	 * @return the row names
-	 * {@link #Matrix(DoubleMatrix2D, String[], String[], Header)} constructor
-	 * has been used for this object.
 	 */
 	public abstract Vector getRowNames();
 
@@ -85,8 +83,6 @@
 	 * Col names are available if the
 	 *
 	 * @return the col names
-	 * {@link #Matrix(DoubleMatrix2D, String[], String[], Header)} constructor
-	 * has been used for this object.
 	 */
 	public abstract Vector getColNames();
 
Index: TXM/trunk/bundles/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/___LexicalTableEditorInput.java
===================================================================
--- TXM/trunk/bundles/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/___LexicalTableEditorInput.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/___LexicalTableEditorInput.java	(revision 3940)
@@ -65,8 +65,6 @@
 	 * Instantiates a new lexical table editor input.
 	 *
 	 * @param table the table
-	 * @param partition the partition
-	 * @param property the property
 	 */
 	public ___LexicalTableEditorInput(final LexicalTable table) {
 		super(table);
Index: TXM/trunk/bundles/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java	(revision 3940)
@@ -169,8 +169,7 @@
 	/**
 	 * Creates the part control.
 	 *
-	 * @param parent the parent
-	 * @see org.eclipse.ui.part.WorkbenchPart#createPartControl(org.eclipse.swt.widgets.Composite)
+	 * @see "org.eclipse.ui.part.WorkbenchPart#createPartControl(org.eclipse.swt.widgets.Composite)"
 	 */
 	@Override
 	public void _createPartControl() {
Index: TXM/trunk/bundles/org.txm.udpipe.core/src/org/txm/udpipe/core/XMLTXMToUDPipeXMLParser.java
===================================================================
--- TXM/trunk/bundles/org.txm.udpipe.core/src/org/txm/udpipe/core/XMLTXMToUDPipeXMLParser.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.udpipe.core/src/org/txm/udpipe/core/XMLTXMToUDPipeXMLParser.java	(revision 3940)
@@ -101,9 +101,8 @@
 	/**
 	 * Process.
 	 *
-	 * @param outfile the outfile
-	 * @param formtype, if multiple form, use this param to choose the correct one, if null takes the first form found
-	 * @return true, if successful
+	 * @param formtype if multiple form, use this param to choose the correct one, if null takes the first form found
+	 * @return true if successful
 	 */
 	public boolean process(String formtype) {
 		
Index: TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TSCorpus.java
===================================================================
--- TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TSCorpus.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TSCorpus.java	(revision 3940)
@@ -208,7 +208,6 @@
 	
 	/**
 	 * 
-	 * @param tigerPosition
 	 * @return 1 if the TIGER position has a position in CQP ; 0 if not
 	 */
 	public MappedByteBuffer getPresencesMapped() {
@@ -231,7 +230,7 @@
 	
 	/**
 	 * 
-	 * @param tigerPosition
+	 * @param tigerPositions
 	 * @return 1 if the TIGER position has a position in CQP ; 0 if not
 	 */
 	public int[] getPresences(int tigerPositions[]) {
Index: TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/tigersearch/imports/TIGERSection.java
===================================================================
--- TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/tigersearch/imports/TIGERSection.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/tigersearch/imports/TIGERSection.java	(revision 3940)
@@ -24,10 +24,6 @@
 	 * @param toolkit2
 	 * @param form2
 	 * @param parent
-	 * @param stylesave
-	 * 
-	 * @param moduleParams
-	 * @param scriptName temporary parameter to detect if import module is xtzLoader.groovy
 	 */
 	public TIGERSection(ImportFormEditor editor, FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
 		
Index: TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TSIndexEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TSIndexEditor.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TSIndexEditor.java	(revision 3940)
@@ -238,7 +238,7 @@
 	/**
 	 * Do save as.
 	 *
-	 * @see org.eclipse.lyon gournd zeroui.part.EditorPart#doSaveAs()
+	 * @see "org.eclipse.lyon gournd zeroui.part.EditorPart#doSaveAs()"
 	 */
 	@Override
 	public void doSaveAs() {
@@ -475,8 +475,7 @@
 	/**
 	 * Creates the part control.
 	 *
-	 * @param parent the parent
-	 * @see org.eclipse.ui.part.WorkbenchPart#createPartControl(org.eclipse.swt.widgets.Composite)
+	 * @see "org.eclipse.ui.part.WorkbenchPart#createPartControl(org.eclipse.swt.widgets.Composite)"
 	 */
 	@Override
 	public void _createPartControl() {
Index: TXM/trunk/bundles/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesTableLabelProvider.java
===================================================================
--- TXM/trunk/bundles/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesTableLabelProvider.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesTableLabelProvider.java	(revision 3940)
@@ -53,7 +53,7 @@
 	/**
 	 * Instantiates a new specificites table label provider.
 	 *
-	 * @param partindexes the partindexes
+	 * @param editor the specif editor
 	 */
 	public SpecificitiesTableLabelProvider(SpecificitiesEditor editor) {
 		// this.partindexes = partindexes;
Index: TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RScriptEngine.java
===================================================================
--- TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RScriptEngine.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RScriptEngine.java	(revision 3940)
@@ -88,7 +88,7 @@
 	/**
 	 * Execute script.
 	 *
-	 * @param scriptfile the scriptfile
+	 * @param rFile the R script
 	 */
 	// FIXME: this method should call the method above : executeText();
 	public IStatus executeScript(File rFile, HashMap<String, Object> env, List<String> stringArgs) {
Index: TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspace.java
===================================================================
--- TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspace.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspace.java	(revision 3940)
@@ -32,7 +32,6 @@
 import java.io.FileReader;
 import java.io.FileWriter;
 import java.io.IOException;
-import java.sql.Connection;
 import java.util.ArrayList;
 import java.util.Arrays;
 import java.util.UUID;
@@ -246,7 +245,6 @@
 	/**
 	 * Entering the R workspace.
 	 *
-	 * @param
 	 * @return the r workspace instance
 	 * @throws RWorkspaceException the r workspace exception
 	 */
@@ -402,7 +400,7 @@
 	 *
 	 * @param file the file
 	 * @param expr the expr
-	 * @param device the device (svg, png, jpeg, ...)
+	 * @param devicename the device (svg, png, jpeg, ...)
 	 * @throws REXPMismatchException the rEXP mismatch exception
 	 * @throws StatException the stat exception
 	 * @throws RserveException
@@ -532,8 +530,6 @@
 	 * Start exec.
 	 *
 	 * @param pathToRExecutable the path to r executable
-	 * @param string
-	 * @param string
 	 * @return true, if successful
 	 */
 	public static boolean startExec(String pathToRExecutable, int port, boolean debug, String rArgs, String rServeArgs) {
@@ -1126,7 +1122,7 @@
 	}
 	
 	/**
-	 * Bar delegate call to {@link Rengine#eval(String)}.
+	 * Bar delegate call to Rengine.eval(String).
 	 * 
 	 * It is up to the caller to check if everything goes well (testing if the
 	 * return value is not of type XT_NULL).
@@ -1574,7 +1570,7 @@
 	
 	/**
 	 * 
-	 * Bar delegate call to {@link Connection#voidEval(String)}.
+	 * Bar delegate call to {@link RConnection#voidEval(String)}.
 	 * 
 	 * It is up to the caller to check if everything goes well (testing if the
 	 * return value is not of type XT_NULL).
@@ -1651,7 +1647,7 @@
 	}
 	
 	/**
-	 * Bar delegate call to {@link Connection#voidEval(String)}.
+	 * Bar delegate call to {@link RConnection#voidEval(String)}.
 	 * 
 	 * It is up to the caller to check if everything goes well (testing if the
 	 * return value is not of type XT_NULL).
